Add a new message feed
curl --request POST \
--url https://apix.us.amity.co/api/v5/message-feeds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "text",
"channelId": "abc665aed9dbb8d036037eeb",
"createdAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://apix.us.amity.co/api/v5/message-feeds"
payload = {
"name": "text",
"channelId": "abc665aed9dbb8d036037eeb",
"createdAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'text',
channelId: 'abc665aed9dbb8d036037eeb',
createdAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://apix.us.amity.co/api/v5/message-feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageFeeds": [
{
"messageFeedId": "a85dca058f5b585f86a29f14",
"channelId": "abc665aed9dbb8d036037eeb",
"channelPublicId": "abc665aed9dbb8d036037eeb",
"channelType": "community",
"name": "text",
"creatorId": "8aa313c8dbb00af911b07672",
"path": "12cba9779cc479e1fcefd1de/chat/f00ab16cbd27d4a9525aea6d/32b468ae0b1bd0cc7976719d/0a003482f0ac53a71e7c9239",
"childCount": 123,
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastMessageId": "9530b11ec8de87db22b06b21",
"lastMessageTimestamp": "2023-11-07T05:31:56Z",
"editedAt": "2023-11-07T05:31:56Z",
"messagePreviewId": "<string>"
}
],
"messages": [
{
"messageId": "a85dca058f5b585f86a29f14",
"networkId": "9530b11ec8de87db22b06b27",
"channelId": "abc665aed9dbb8d036037eed",
"channelType": "community",
"messageFeedId": "507f191e810c19729de860ea",
"segment": 123,
"dataType": "text",
"data": {
"text": "test"
},
"fileId": "76bfe68974157a114053364d",
"thumbnailFileId": "76bfe68974157a114053364e",
"metadata": {
"refId": "d601c27c0675baa2103ec573"
},
"tags": [
"tag1",
"tag2"
],
"creatorId": "5349b4ddd2781d08c09890f4",
"mentionedUsers": [
{
"type": "user",
"userIds": [
"3cac302ab992aa17b215ba21",
"adb34ec2aeedca03a38e1d54"
]
}
],
"reactions": {
"like": 1,
"love": 2
},
"reactionCount": 123,
"parentId": "abc665afd7dbb8d036037eea",
"path": "12cba9779cc479e1fcefd1de/chat/f00ab16cbd27d4a9525aea6d/32b468ae0b1bd0cc7976719d/0a003482f0ac53a71e7c9239",
"flagCount": 123,
"childCount": 123,
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"myReactions": [
"like",
"love"
]
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
]
}Message Feed
Add a new message feed
Add a new message feed
POST
/
api
/
v5
/
message-feeds
Add a new message feed
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload for creating a new message feed
⌘I